﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamOutlookBarGroupsTemplate
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += Page_Loaded;
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {


            ObservableCollection<Menu> temp = new ObservableCollection<Menu>();
            temp.Add(new Menu() { Name = "Menu 1", Sort = "1" });
            temp.Add(new Menu() { Name = "Menu 2", Sort = "2" });
            temp.Add(new Menu() { Name = "Menu 3", Sort = "3" });
            temp.Add(new Menu() { Name = "Menu 4", Sort = "4" });
            temp.Add(new Menu() { Name = "Menu 5", Sort = "5" });

            
            VM viewmodel = new VM();
            xBar.Tag = 100;
            viewmodel.List = new ObservableCollection<Menu>(temp);

            this.xBar.DataContext = viewmodel;
        }
    }


    public class VM : INotifyPropertyChanged
    {
        private ObservableCollection<Menu> _list;
        public ObservableCollection<Menu> List
        {
            get { return _list; }
            set
            {
                _list = value;
                OnPropertyChanged("List");
            }
        }

        #region Implementation of INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }

    public class Menu : INotifyPropertyChanged
    {
        private string _name;
        private string _sort;

        public String Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }

        public String Sort
        {
            get { return _sort; }
            set
            {
                _sort = value;
                OnPropertyChanged("Sort");
            }
        }

        #region Implementation of INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
